%global         momorel 2

Name:           perl-Plack-Middleware-MethodOverride
Version:        0.10
Release:        %{momorel}m%{?dist}
Summary:        Plack::Middleware::MethodOverride Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Plack-Middleware-MethodOverride/
Source0:        http://www.cpan.org/authors/id/D/DW/DWHEELER/Plack-Middleware-MethodOverride-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.008001
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Plack >= 0.9929
BuildRequires:  perl-Test-Simple >= 0.70
BuildRequires:  perl-Test-Pod >= 1.41
BuildRequires:  perl-Test-Pod-Coverage >= 1.06
BuildRequires:  perl-URI
Requires:       perl-Plack >= 0.9929
Requires:       perl-Test-Simple >= 0.70
Requires:       perl-Test-Pod >= 1.41
Requires:       perl-Test-Pod-Coverage >= 1.06
Requires:       perl-URI
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
Specifically, you can provide a query parameter named "x-tunneled-method"
or a header named "x-http-method-override" (as used by Google's APIs).
Either way, the overriding works only via POST requests, not GET.

%prep
%setup -q -n Plack-Middleware-MethodOverride-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
./Build test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README.md
%{perl_vendorlib}/Plack/Middleware/MethodOverride.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10-2m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
